
From: Pavel Roskin <proski@gnu.org>

SanDisk ConnectPlus has two functions.  Function 0 is prism2 card, currently
only supported by HostAP (not in the kernel).  Function 1 is 128M flash,
supported by ide-cs.  This patch adds an entry for function 1 to ide-cs.c.

Signed-off-by: Pavel Roskin <proski@gnu.org>
Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ide/legacy/ide-cs.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/ide/legacy/ide-cs.c~pcmcia-ide-cs-id_table-update drivers/ide/legacy/ide-cs.c
--- devel/drivers/ide/legacy/ide-cs.c~pcmcia-ide-cs-id_table-update	2005-07-25 23:46:43.000000000 -0700
+++ devel-akpm/drivers/ide/legacy/ide-cs.c	2005-07-25 23:46:43.000000000 -0700
@@ -481,6 +481,7 @@ static struct pcmcia_device_id ide_ids[]
 	PCMCIA_DEVICE_PROD_ID12("TOSHIBA", "MK2001MPL", 0xb4585a1a, 0x3489e003),
 	PCMCIA_DEVICE_PROD_ID12("WIT", "IDE16", 0x244e5994, 0x3e232852),
 	PCMCIA_DEVICE_PROD_ID1("STI Flash", 0xe4a13209),
+	PCMCIA_MFC_DEVICE_PROD_ID12(1, "SanDisk", "ConnectPlus", 0x7a954bd9, 0x74be00c6),
 	PCMCIA_DEVICE_NULL,
 };
 MODULE_DEVICE_TABLE(pcmcia, ide_ids);
_
